# Credits and Requests costs

Every time you make a request through ScraperAPI, you consume API Credits. The credits you have available are defined by the plan you are subscribed to. The amount of API Credits you consume depends on the domain and parameters used with your request.

### Domains

Some domains are more complex, so we’ve built custom scraping logic for them. Scraping these domains will incur a higher credit cost.

<table><thead><tr><th width="360">Category</th><th>Credit Cost per Request</th></tr></thead><tbody><tr><td><strong>Normal (flat) Requests</strong></td><td><code>1</code></td></tr><tr><td><strong>E-Commerce</strong><br>Amazon</td><td><code>5</code></td></tr><tr><td><strong>SERP</strong><br>Google, Bing - (applies to all subdomains)</td><td><code>25</code></td></tr><tr><td><strong>Social Media</strong><br>LinkedIn</td><td><code>30</code></td></tr></tbody></table>

{% hint style="warning" %}
**We recommend using our** [**API Playground**](https://dashboard.scraperapi.com/apiplayground) **before scraping to understand what the cost per request will be.**&#x20;
{% endhint %}

If you are not a fan of **GUI**, you can call this API endpoint: <https://api.scraperapi.com/account/urlcost>

```bash
https://api.scraperapi.com/account/urlcost?api_key=API_KEY&url=https://www.wikipedia.org/&render=true
```

All ScraperAPI [parameters](/control-and-optimization/supported-parameters.md) are supported by the cost API endpoint, making it easy to understand the exact cost before applying them to your requests.

***

### Bot-Protected Domains

Scraping domains that have anti-bot protection systems in place requires the activation of a bypass mechanism, which is resource-intensive and increases the cost per scrape.

| Protection                      | Cost per Scrape |
| ------------------------------- | --------------- |
| **Cloudflare Bypass**           | `10`            |
| **Cloudflare Turnstile Bypass** | `10`            |
| **Datadome Bypass**             | `10`            |
| **PerimeterX/Human Bypass**     | `10`            |

{% hint style="info" %}
**We highly recommend using our** [**API Playground**](https://dashboard.scraperapi.com/apiplayground) **before scraping to understand what the cost per request will be - as domains may switch protection measures. You can also set limits on your API credit expenditure. To find out more, please visit** [**this**](/control-and-optimization/cost-control.md) **page.**
{% endhint %}

### Response Headers

The Response Headers returned for each request will contain the **`sa-credit-cost`** response header, which shows the API Credit cost of that request.

### Parameters

There are plenty of ScraperAPI parameters that you may have to use, depending on your use-case. Here's how they affect credit cost:\
\
**Extra Cost:**

* `premium=true` - 10 API Credits/req
* `render=true` - 10 API Credits/req
* `scrensshot=true` - 10 API Credits/req
* `ultra_premium=true` - 30 API Credits/req\*
* `premium=true + render=true` - 25 API Credits/req
* `ultra_premium=true + render=true` - 75 API Credits/req\*

**No Extra Cost:**

* `wait_for_selector=x`
* `country_code=x`
* `session_number=x`
* `device_type=x`
* `output_format=x`
* `keep_headers=true`
* `autoparse=true`

{% hint style="warning" %}
We only charge for successful requests (`200` and `404` status codes) and for requests that have been cancelled from your side before giving us enough time to finish them (70 seconds).&#x20;
{% endhint %}

***Note:*** &#x20;

*- Items marked with asterisk (\*) are only available with our* [*Paid Plans*](https://www.scraperapi.com/pricing/)*.*

*- Accounts that have custom deal with discounted pricing, will have a higher credit cost per request for our Ultra Premium domains to meet our minimum pricing of $3 per one thousand requests without rendering and $7 with rendered pages.*&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scraperapi.com/getting-started/quick-start/credits-and-requests-costs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
